(function ($, _, Drupal, drupalSettings) {
  Drupal.behaviors.comingsoonCountdown = {
    attach: function (context, settings) {

      once('comingsoonCountdown', '.countdown', context).forEach(function (element) {
        const countdown = element;
        const output = countdown.innerHTML;

        const countDownDate = function () {
          let timeleft = new Date(countdown.getAttribute('data-count')).getTime() - new Date().getTime();

          let days = Math.floor(timeleft / (1000 * 60 * 60 * 24));
          let hours = Math.floor((timeleft % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
          let minutes = Math.floor((timeleft % (1000 * 60 * 60)) / (1000 * 60));
          let seconds = Math.floor((timeleft % (1000 * 60)) / 1000);

          countdown.innerHTML = output.replace('%d', days).replace('%h', hours).replace('%m', minutes).replace('%s', seconds);
          requestAnimationFrame(countDownDate);
        }
        if (!countdown.getAttribute('data-count')) {
          return;
        } else {
          countDownDate();
          setInterval(countDownDate, 1000);
        }
      });
    }
  };
})(window.jQuery, window._, window.Drupal, window.drupalSettings);


